/*
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 11.12.2017
 */
package PGP01Problem;

import java.sql.*;


public class Main {
    public static void main(String[] args) throws SQLException {
        Student st = new Student();
        Predmet pr = new Predmet();     
        BrokerBazePodataka bbp = new BrokerBazePodataka(st,pr);
        bbp.otvoriBazu();
          
        st.BrojIndeksa = "124-15";
        bbp.brisiSlog("Student"); 

        pr.SifraPredmeta = 2; 
        bbp.brisiSlog("Predmet"); 
    
        bbp.zatvoriKonekciju();
      }

    }
    

class BrokerBazePodataka 
  {  Student st;
     Predmet pr;
     
     Connection con;
     BrokerBazePodataka(Student st1, Predmet pr1)  {st = st1; pr = pr1;}
      
     public boolean brisiSlog(String ImeKlase)
        {   String upit;
            String UslovZaNadjiSlog = null;              
            Statement stm;
            if (ImeKlase.equals("Student"))  
                UslovZaNadjiSlog = st.vratiUslovZaNadjiSlog();

            if (ImeKlase.equals("Predmet")) 
                UslovZaNadjiSlog = pr.vratiUslovZaNadjiSlog();
 
            try {  stm = con.createStatement();
                   upit ="DELETE *  FROM " + ImeKlase + " WHERE " + UslovZaNadjiSlog;
                   int rowcount = stm.executeUpdate(upit);
                   if (rowcount>0)
                       System.out.println("\nUspesno obrisan slog u bazi.");
                   else
                       System.out.println("\nSlog ne postoji u bazi.");
                   stm.close();
                } catch(SQLException esql)
                    { System.out.println("\nNije uspesno obrisan slog u bazi: " + esql); return false;}
            
            return true;
        }

public boolean otvoriBazu()
 {  String Urlbaze;
     try {  Class.forName("net.ucanaccess.jdbc.UcanaccessDriver");
            //Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.accdb";
            Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.mdb";
            con = DriverManager.getConnection(Urlbaze,"","");
         } catch(ClassNotFoundException e)  { System.out.println("Drajver nije ucitan:" + e) ; return false;}
              catch(SQLException esql) { System.out.println("Greska kod konekcije:" + esql); return false;}
              catch(SecurityException ese) { System.out.println("Greska zastite:" + ese); return false;}
     System.out.println("Uspostavljena je konekcija sa bazom podataka."); return true;
 }

public void zatvoriKonekciju() throws SQLException {con.close();}
}

 