/*
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 11.12.2017
 */
package PGP01Resenje;


import java.sql.*;


public class Main {
    public static void main(String[] args) throws SQLException {
        Student st = new Student();
        Predmet pr = new Predmet(); 
        Profesor prof = new Profesor();     
        BrokerBazePodataka bbp = new BrokerBazePodataka();
        bbp.otvoriBazu();
          
        st.BrojIndeksa = "124-15";
        bbp.setOdk(st);
        bbp.brisiSlog(); 

        pr.SifraPredmeta = 1; 
        bbp.setOdk(pr);
        bbp.brisiSlog(); 
    
        prof.ImeProfesora = "Sinisa Vlajic";
        bbp.setOdk(prof);
        bbp.brisiSlog(); 
        
        bbp.zatvoriKonekciju();
      }

    }
    

class BrokerBazePodataka 
  {  OpstaDomenskaKlasa odk;
     
     Connection con;
           
     public boolean brisiSlog()
        {   String upit;
            String UslovZaNadjiSlog; 
            String ImeKlase;
            Statement stm;
            
            ImeKlase = odk.vratiImeKlase();
            UslovZaNadjiSlog = odk.vratiUslovZaNadjiSlog();

 
            try {  stm = con.createStatement();
                   upit ="DELETE *  FROM " + ImeKlase + " WHERE " + UslovZaNadjiSlog;
                   int rowcount = stm.executeUpdate(upit);
                   if (rowcount>0)
                       System.out.println("\nUspesno obrisan slog u bazi.");
                   else
                       System.out.println("\nSlog ne postoji u bazi.");
                   stm.close();
                } catch(SQLException esql)
                    { System.out.println("\nNije uspesno obrisan slog u bazi: " + esql); return false;}
            
            return true;
        }

public boolean otvoriBazu()
 {  String Urlbaze;
     try {  Class.forName("net.ucanaccess.jdbc.UcanaccessDriver");
            // Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.accdb";
            Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.mdb";
            con = DriverManager.getConnection(Urlbaze,"","");
         } catch(ClassNotFoundException e)  { System.out.println("Drajver nije ucitan:" + e) ; return false;}
              catch(SQLException esql) { System.out.println("Greska kod konekcije:" + esql); return false;}
              catch(SecurityException ese) { System.out.println("Greska zastite:" + ese); return false;}
     System.out.println("Uspostavljena je konekcija sa bazom podataka."); return true;
 }

public void zatvoriKonekciju() throws SQLException {con.close();}
void setOdk(OpstaDomenskaKlasa odk1){odk=odk1;}
}

 