/*
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 11.12.2017
 */
package PGP05Resenje;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

class AccessBaza
  {  Connection con;
    public boolean povezi()
    {  String Urlbaze;
       try {  Class.forName("net.ucanaccess.jdbc.UcanaccessDriver");
              // Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.accdb";
              Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.mdb";
              con = DriverManager.getConnection(Urlbaze,"","");
           } catch(ClassNotFoundException e)  { System.out.println("Drajver nije ucitan:" + e) ; return false;}
              catch(SQLException esql) { System.out.println("Greska kod konekcije:" + esql); return false;}
              catch(SecurityException ese) { System.out.println("Greska zastite:" + ese); return false;}
       System.out.println("Program je povezan sa MS Access SUBP!!!"); return true;
    }

void prikazi(Tabela ta)
   {   try {   Statement naredba =con.createStatement();
	String upit="SELECT * FROM " + ta.vratiImeTabele();
	ResultSet rs=null;
	try { rs=naredba.executeQuery(upit);
	     } catch(SQLException sqle){ System.out.println("Greska u izvr. upita: "+sqle); }
	 System.out.println("Trenutan izgled tabele " + ta.vratiImeTabele());
	 while(rs.next()) {  System.out.println(ta.vratiSlog(rs)); }
         naredba.close();
            } catch(SQLException se){ System.out.println("Nedozvoljena operacija: "+se);}
   }


void zatvoriKonekciju() throws SQLException {con.close();}
}

class PrikaziSlogoveTabele
{ public static void main(String arg[]) throws SQLException
    { AccessBaza ab = new AccessBaza();
      ab.povezi();
      ab.prikazi(new Student());

      ab.povezi();
      ab.prikazi(new Predmet());

      ab.zatvoriKonekciju();
    }
}


interface Tabela
{  String vratiImeTabele();
   String vratiSlog (ResultSet rs) throws SQLException;
}

class Student implements Tabela
{@Override
 public String vratiImeTabele(){return "Student";}
 @Override
 public String vratiSlog (ResultSet rs) throws SQLException 
     {return rs.getString("BrojIndeksa")+" " + rs.getString("ImeStudenta");}
}

class Predmet implements Tabela
{@Override
 public String vratiImeTabele(){return "Predmet";}
 @Override
 public String vratiSlog (ResultSet rs) throws SQLException 
   {return rs.getInt("sifraPredmeta")+" " + rs.getString("nazivPredmeta");}
}


