package zobs2;

/* Кориснички захтев: Направити екранску форму која ће имати: а) поље за прихват броја и б) дугме, које када се кликне иницира догађај којим се обавештавају све отворене
форме да промене вредност, на вредност која је унета у прихватном пољу.
 */

// View.java
import javax.swing.*;
import java.awt.*;
import org.netbeans.lib.awtextra.AbsoluteConstraints;
import org.netbeans.lib.awtextra.AbsoluteLayout;

public final class View extends JFrame ...  // ConcreteObserver
{ Model mod;
  // Labele koja sadrzi naziv ekranske forme koja se otvara.
  private JLabel LNazivForme;

  // Polja preko kojih se obradjuju podaci.
  private JFormattedTextField PBroj;
  
  // Labele koje opisuju polja za obradu podataka.
  private JLabel LBroj;
  
  // Dugme preko koga se poziva promena vrednosti u modelu.
  public JButton BZapamtiVrednost;

// 1. Konstruktor ekranske forme
public View (Model mod1, String Naziv)
  { KreirajKomponenteEkranskeForme(Naziv);    // 1.1
    PokreniMenadzeraRasporedaKomponeti();     // 1.2
    PostaviImeForme();		              // 1.3
    PostaviPoljeZaPrihvatBrojeva();	      // 1.4
    PostaviLabeluZaPrihvatBrojeva();	      // 1.5
    PostaviDugmeZapamtiVrednost();	      // 1.6
    mod = mod1;
    postaviVrednost();
    pack();
    show();
    }


// 1.1 Kreiranje i inicijalizacija komponenti ekranske forme
void KreirajKomponenteEkranskeForme(String Naziv)
  { LNazivForme = new JLabel();
    PBroj = new JFormattedTextField();
    LBroj= new JLabel();
    BZapamtiVrednost = new JButton();
    Container con = getContentPane();
    con.setName(Naziv);
 } 



// 1.2 Kreiranje menadjera rasporeda komponenti i njegovo dodeljivanje do kontejnera okvira(JFrame komponente).
void PokreniMenadzeraRasporedaKomponeti()
  { getContentPane().setLayout(new AbsoluteLayout());}

// 1.3 Odredivanje naslovnog teksta i njegovo dodeljivanje do kontejnera okvira.
void PostaviImeForme()
{  LNazivForme.setFont(new Font("Times New Roman", 1, 12));
   LNazivForme.setText("PRIMER OBSERVER PATERNA");
   getContentPane().add(LNazivForme, new AbsoluteConstraints(20, 10, -1, -1));
}

// 1.4
void PostaviPoljeZaPrihvatBrojeva()
 { // Dodeljivanje pocetne vrednosti i formata polja.
   PBroj.setValue(new String("0"));
   // Polje se dodaje kontejneru okvira (JFrame).
    getContentPane().add(PBroj, new AbsoluteConstraints(50, 70, 70, -1));
}


// 1.5
void PostaviLabeluZaPrihvatBrojeva()
{ LBroj.setText("Broj");
  getContentPane().add(LBroj, new AbsoluteConstraints(20, 70, -1, -1));}
//******************************************************************************

// 1.6
void PostaviDugmeZapamtiVrednost()
 { BZapamtiVrednost.setText("Zapamti vrednost");
   getContentPane().add(BZapamtiVrednost, new AbsoluteConstraints(160, 60, -1, -1));
}

@Override
public int uzmiVrednost(){
       return Integer.parseInt((String)PBroj.getValue()); }

@Override
public void postaviVrednost()  { PBroj.setValue(String.valueOf(mod.uzmiBroj())); }

@Override
public JButton vratiBZapamtiVrednost() {return BZapamtiVrednost;}

}




