/*
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 11.12.2017
 */
package PGP04Problem;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

class AccessBaza
 {
    Connection con;
    public boolean povezi()
    {  String Urlbaze;
       try {  Class.forName("net.ucanaccess.jdbc.UcanaccessDriver");
              // Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.accdb";
              Urlbaze = "jdbc:ucanaccess://src/Databases/Fakultet.mdb";
              con = DriverManager.getConnection(Urlbaze,"","");
              con.close();
            } catch(ClassNotFoundException e)  { System.out.println("Drajver nije ucitan:" + e) ; return false;}
              catch(SQLException esql) { System.out.println("Greska kod konekcije:" + esql); return false;}
              catch(SecurityException ese) { System.out.println("Greska zastite:" + ese); return false;}
       System.out.println("Program je povezan sa MS Access SUBP!!!"); return true;
    }
}   
    
class MySqlBaza
 { 
    Connection con;
    public void povezi()
       {   String Urlbaze;
           try {  Class.forName("com.mysql.jdbc.Driver"); 
                  Urlbaze = "jdbc:mysql://127.0.0.1:3306/fakultet";
	          con = DriverManager.getConnection(Urlbaze,"root","root");
 	          con.close();
              } catch(ClassNotFoundException cnfe){  System.out.println("Nije ucitan upravljacki program: "+cnfe);    }
                catch(SQLException sqle){  System.out.println("Greska kod konekcije: "+sqle);  }
         System.out.println("Program je povezan sa MySQL SUBP!!!");
       }
}

class PoveziSaBazom
{ AccessBaza ab;
  MySqlBaza ma;
  
     
  public static void main(String arg[])
  { PoveziSaBazom psb = new PoveziSaBazom();
    psb.ab = new AccessBaza();
    psb.ab.povezi();
    psb.ma = new MySqlBaza();
    psb.ma.povezi();
  }
}

