/*
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 11.12.2017
 */
package PGP04Resenje;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;


abstract class Baza
{  Connection con;
   public void povezi()
       {  try { String dbUrl = vratiUrl();
     	        String user = vratiUserName();
	        String pass = vratiPassword();
   	        Class.forName(vratiDrajver());
	        Connection con = DriverManager.getConnection(dbUrl,user,pass);
	        System.out.println(vratiPoruku());
	        con.close();
                } catch(ClassNotFoundException cnfe){ System.out.println("Nije ucitan upravljacki program: "+cnfe);    }
	  catch(SQLException sqle){  System.out.println("Greska kod konekcije: "+sqle);  }
              }

   abstract String vratiUrl();
   abstract String vratiDrajver();
   abstract String vratiPoruku();
   abstract String vratiUserName();
   abstract String vratiPassword();
}

class AccessBaza extends Baza
 {@Override
 String vratiUrl(){return "jdbc:ucanaccess://src/Databases/Fakultet.mdb";}
 @Override
   String vratiDrajver(){return "net.ucanaccess.jdbc.UcanaccessDriver";}
 @Override
   String vratiPoruku(){return "Program je povezan sa MS Access SUBP!!!";}
 @Override
   String vratiUserName(){return "";}
 @Override
   String vratiPassword(){return "";}
}

class MySqlBaza extends Baza
 {@Override
 String vratiUrl(){return "jdbc:mysql://127.0.0.1:3306/fakultet";}
 @Override
   String vratiDrajver(){return "com.mysql.jdbc.Driver";}
 @Override
   String vratiPoruku(){return "Program je povezan sa MySQL SUBP!!!";}
 @Override
   String vratiUserName(){return "root";}
 @Override
   String vratiPassword(){return "root";}
  }

class PoveziSaBazomR
{ Baza ba;

  public static void main(String arg[])
  { PoveziSaBazomR psb = new PoveziSaBazomR();
    AccessBaza ab = new AccessBaza();
    psb.ba = ab;
    psb.ba.povezi();
    MySqlBaza ma = new MySqlBaza();
    psb.ba = ma;
    psb.ba.povezi();
  }
}


