package pmvc1;

/* Кориснички захтев: Направити екранску форму која ће имати: а) поље за прихват бројева и
б) поље за приказ збира свих до тада унетих бројева. Збир се рачуна кликом на дугме. */

// View.java
import javax.swing.*;
import java.awt.*;
import org.netbeans.lib.awtextra.AbsoluteConstraints;
import org.netbeans.lib.awtextra.AbsoluteLayout;

public final class View extends JFrame
{ Model mod;
  // Labele koja sadrzi naziv ekranske forme koja se otvara.
  private JLabel LNazivForme;

  // Polja preko kojih se obradjuju podaci.
  private JFormattedTextField PBroj;
  private JFormattedTextField PZbir;

  // Labele koje opisuju polja za obradu podataka.
  private JLabel LBroj;
  private JLabel LZbir;

  // Dugme preko koga se poziva sistemska operacija.
  public JButton BZbir;

// 1. Konstruktor ekranske forme
public View (Model mod1)
  { KreirajKomponenteEkranskeForme();           // 1.1
    PokreniMenadzeraRasporedaKomponeti();       // 1.2
    PostaviImeForme();		                // 1.3
    PostaviPoljeZaPrihvatBrojeva();	        // 1.4
    PostaviPoljeZaZbir();		        // 1.5
    PostaviLabeluZaPrihvatBrojeva();	        //  1.6
    PostaviLabeluZaZbir();		        // 1.7
    PostaviDugmeZbir();		                // 1.8
    mod = mod1;
    postaviVrednost();
    pack();
    show();
    }

// 1.1 Kreiranje i inicijalizacija komponenti ekranske forme
void KreirajKomponenteEkranskeForme()
  { LNazivForme = new JLabel();
    PBroj = new JFormattedTextField();
    PZbir = new JFormattedTextField();
    LBroj= new JLabel();
    LZbir = new JLabel();
    BZbir = new JButton();
 }



// 1.2 Kreiranje menadjera rasporeda komponenti i njegovo dodeljivanje do kontejnera okvira(JFrame komponente).
void PokreniMenadzeraRasporedaKomponeti()
  { getContentPane().setLayout(new AbsoluteLayout());}

// 1.3 Odredivanje naslovnog teksta i njegovo dodeljivanje do kontejnera okvira.
void PostaviImeForme()
{  LNazivForme.setFont(new Font("Times New Roman", 1, 12));
   LNazivForme.setText("SABIRANJE NIZA BROJEVA");
   getContentPane().add(LNazivForme, new AbsoluteConstraints(20, 10, -1, -1));
}

// 1.4
void PostaviPoljeZaPrihvatBrojeva()
 { // Dodeljivanje pocetne vrednosti i formata polja.
   PBroj.setValue(new String("0"));
   // Polje se dodaje kontejneru okvira (JFrame).
    getContentPane().add(PBroj, new AbsoluteConstraints(50, 70, 70, -1));
}

// 1.5
void PostaviPoljeZaZbir()
 {  // Dodeljivanje pocetne vrednosti i formata polja.
    PZbir.setValue(new String("0"));
    // Vrednost polja ne moze da se menja.
   PZbir.setEditable(false);
    // Polje se dodaje kontejneru okvira (JFrame)
    getContentPane().add(PZbir, new AbsoluteConstraints(50, 100, 90, -1));
 }

// 1.6
void PostaviLabeluZaPrihvatBrojeva()
{ LBroj.setText("Broj");
  getContentPane().add(LBroj, new AbsoluteConstraints(20, 70, -1, -1));}
// 1.7
void  PostaviLabeluZaZbir()
 { LZbir.setText("Zbir");
   getContentPane().add(LZbir, new AbsoluteConstraints(20, 100, -1, -1));
 }

//******************************************************************************
// 1.8
void PostaviDugmeZbir()
 { BZbir.setText("Zbir");
   getContentPane().add(BZbir, new AbsoluteConstraints(160, 60, -1, -1));
}

public int uzmiVrednost(){
       return Integer.parseInt((String)PBroj.getValue()); }

public void postaviVrednost()  { PZbir.setValue(String.valueOf(mod.uzmiBroj())); }

}




